Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/gifsicle: move to community

From: Michael Koloberdin <koloberdin_at_gmail.com>
Date: Thu, 2 Jun 2016 19:00:55 +0000

---
 community/gifsicle/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++++++++
 testing/gifsicle/APKBUILD   | 48 ---------------------------------------------
 2 files changed, 48 insertions(+), 48 deletions(-)
 create mode 100644 community/gifsicle/APKBUILD
 delete mode 100644 testing/gifsicle/APKBUILD
diff --git a/community/gifsicle/APKBUILD b/community/gifsicle/APKBUILD
new file mode 100644
index 0000000..516b544
--- /dev/null
+++ b/community/gifsicle/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=gifsicle
+pkgver=1.88
+pkgrel=0
+pkgdesc="Command-line tool for making, editing, and getting information about GIF animations"
+url="http://www.lcdf.org/gifsicle/"
+arch="all"
+license="GPL2"
+depends=""
+makedepends="libx11-dev libice-dev libsm-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.lcdf.org/gifsicle/gifsicle-$pkgver.tar.gz"
+
+_builddir="$srcdir"/gifsicle-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="6b1cfb10c35b01ad877f2ae18cca4221  gifsicle-1.88.tar.gz"
+sha256sums="4585d2e683d7f68eb8fcb15504732d71d7ede48ab5963e61915201f9e68305be  gifsicle-1.88.tar.gz"
+sha512sums="4a54557d2a9acb4601151f7a266156ebd317bddb1255d84df042a62be0f57bd75ad8585794bd82081701977c84781696bb06565a3aa1709e0ef04ab89fb2df91  gifsicle-1.88.tar.gz"
diff --git a/testing/gifsicle/APKBUILD b/testing/gifsicle/APKBUILD
deleted file mode 100644
index 516b544..0000000
--- a/testing/gifsicle/APKBUILD
+++ /dev/null
_at_@ -1,48 +0,0 @@
-# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
-# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
-pkgname=gifsicle
-pkgver=1.88
-pkgrel=0
-pkgdesc="Command-line tool for making, editing, and getting information about GIF animations"
-url="http://www.lcdf.org/gifsicle/"
-arch="all"
-license="GPL2"
-depends=""
-makedepends="libx11-dev libice-dev libsm-dev"
-install=""
-subpackages="$pkgname-doc"
-source="http://www.lcdf.org/gifsicle/gifsicle-$pkgver.tar.gz"
-
-_builddir="$srcdir"/gifsicle-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="6b1cfb10c35b01ad877f2ae18cca4221  gifsicle-1.88.tar.gz"
-sha256sums="4585d2e683d7f68eb8fcb15504732d71d7ede48ab5963e61915201f9e68305be  gifsicle-1.88.tar.gz"
-sha512sums="4a54557d2a9acb4601151f7a266156ebd317bddb1255d84df042a62be0f57bd75ad8585794bd82081701977c84781696bb06565a3aa1709e0ef04ab89fb2df91  gifsicle-1.88.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jun 02 2016 - 19:00:55 GMT